<?php

namespace App\Entity\ProjectInspiring;

use App\Entity\CollectifData\CollectifData;
use Lc\PietroBundle\Repository\ProjectInspiring\ProjectInspiringRepository;
use Doctrine\ORM\Mapping as ORM;
use Lc\PietroBundle\Model\ProjectInspiring\ProjectInspiring as PietroProjectInspiring;

/**
 * @ORM\Entity(repositoryClass=ProjectInspiringRepository::class)
 */
class ProjectInspiring extends PietroProjectInspiring
{

    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity=CollectifData::class, inversedBy="projectInspiring")
     */
    private $collectifData;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCollectifData(): ?CollectifData
    {
        return $this->collectifData;
    }

    public function setCollectifData(?CollectifData $collectifData): self
    {
        $this->collectifData = $collectifData;

        return $this;
    }
}
